import { Color } from '../../color';
import { Span as SpanDefinition } from './span';
import { ViewBase } from '../core/view-base';
import { FontStyleType, FontVariationSettingsType, FontWeightType } from '../styling/font';
import { CoreTypes } from '../../core-types';
import { EventData } from '../../data/observable';
export declare class Span extends ViewBase implements SpanDefinition {
    static linkTapEvent: string;
    private _text;
    private _tappable;
    get fontFamily(): string;
    set fontFamily(value: string);
    get fontSize(): number;
    set fontSize(value: number);
    get fontStyle(): FontStyleType;
    set fontStyle(value: FontStyleType);
    get fontWeight(): FontWeightType;
    set fontWeight(value: FontWeightType);
    get fontVariationSettings(): FontVariationSettingsType[];
    set fontVariationSettings(value: FontVariationSettingsType[]);
    get textDecoration(): CoreTypes.TextDecorationType;
    set textDecoration(value: CoreTypes.TextDecorationType);
    get color(): Color;
    set color(value: Color);
    get backgroundColor(): Color;
    set backgroundColor(value: Color);
    get iosAccessibilityAdjustsFontSize(): boolean;
    set iosAccessibilityAdjustsFontSize(value: boolean);
    get iosAccessibilityMinFontScale(): number;
    set iosAccessibilityMinFontScale(value: number);
    get iosAccessibilityMaxFontScale(): number;
    set iosAccessibilityMaxFontScale(value: number);
    get text(): string;
    set text(value: string);
    get tappable(): boolean;
    addEventListener(arg: string, callback: (data: EventData) => void, thisArg?: any): void;
    removeEventListener(arg: string, callback?: (data: EventData) => void, thisArg?: any): void;
    _setTextInternal(value: string): void;
    private _setTappable;
}
